unit uFunc;
{$INCLUDE colbuild.inc}
       
interface

uses
  SysUtils;

function IsAbsolutePath(const Path: string): boolean;
function DirectoryExists(const Path: string): boolean;

implementation

function IsAbsolutePath(const Path: string): boolean;
var Drive, Dir: string;
begin
  Drive := ExtractFileDrive(Path);
  Dir := ExtractFilePath(Path);
  Result := (Drive <> '') or ((Dir <> '') and (Dir[1] = '\'));
end;

function DirectoryExists(const Path: string): boolean;
var SR: TSearchRec;
    OK: integer;
begin
  Result := False;
  OK := FindFirst(ExcludeTrailingBackslash(Path), faDirectory, SR);
  if OK = 0 then
    begin
    Result := Longbool(SR.Attr and faDirectory);
    FindClose(SR);
    end;
end;

end.
